swagger-petstore-0.1.0.0: Auto-generated swagger-petstore API Client

Safe Haskell | None
Language | Haskell2010

SwaggerPetstore.API.Store

Contents

- Operations
  - Store
    - deleteOrder
    - getInventory
    - getOrderById
    - placeOrder

Description

Synopsis

- deleteOrder :: Accept accept -> OrderIdText -> SwaggerPetstoreRequest DeleteOrder MimeNoContent res accept
- data DeleteOrder
- getInventory :: Accept accept -> SwaggerPetstoreRequest GetInventory MimeNoContent (Map String Int) accept
- data GetInventory
- getOrderById :: Accept accept -> OrderId -> SwaggerPetstoreRequest GetOrderById MimeNoContent Order accept
- data GetOrderById
- placeOrder :: (Consumes PlaceOrder contentType, MimeRender contentType Order) => ContentType contentType -> Accept accept -> Order -> SwaggerPetstoreRequest PlaceOrder contentType Order accept
- data PlaceOrder

# Operations

## Store

### deleteOrder

deleteOrder Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> OrderIdText | "orderId" - ID of the order that needs to be deleted
-> SwaggerPetstoreRequest DeleteOrder MimeNoContent res accept |

    DELETE /store/order/{order_id}

Delete purchase order by ID

For valid response try integer IDs with value < 1000. Anything above 1000 or nonintegers will generate API errors

Note: Has `Produces` instances, but no response schema

data DeleteOrder Source #

Instances

Produces DeleteOrder MimeXML Source # |
    application/xml
Produces DeleteOrder MimeJSON Source # |
    application/json

### getInventory

getInventory Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> SwaggerPetstoreRequest GetInventory MimeNoContent (Map String Int) accept |

    GET /store/inventory

Returns pet inventories by status

Returns a map of status codes to quantities

AuthMethod: `AuthApiKeyApiKey`

data GetInventory Source #

Instances

Produces GetInventory MimeJSON Source # |
    application/json

### getOrderById

getOrderById Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> OrderId | "orderId" - ID of pet that needs to be fetched
-> SwaggerPetstoreRequest GetOrderById MimeNoContent Order accept |

    GET /store/order/{order_id}

Find purchase order by ID

For valid response try integer IDs with value 5 or 10. Other values will generated exceptions

data GetOrderById Source #

Instances

Produces GetOrderById MimeXML Source # |
    application/xml
Produces GetOrderById MimeJSON Source # |
    application/json

### placeOrder

placeOrder Source #

Arguments

:: (Consumes PlaceOrder contentType, MimeRender contentType Order) |
=> ContentType contentType | request content-type (`MimeType`)
-> Accept accept | request accept (`MimeType`)
-> Order | "body" - order placed for purchasing the pet
-> SwaggerPetstoreRequest PlaceOrder contentType Order accept |

    POST /store/order

Place an order for a pet

data PlaceOrder Source #

Instances

Produces PlaceOrder MimeXML Source # |
    application/xml
Produces PlaceOrder MimeJSON Source # |
    application/json
HasBodyParam PlaceOrder Order Source # | Body Param "body" - order placed for purchasing the pet
Methods setBodyParam :: (Consumes PlaceOrder contentType, MimeRender contentType Order) => SwaggerPetstoreRequest PlaceOrder contentType res accept -> Order -> SwaggerPetstoreRequest PlaceOrder contentType res accept Source #